{% extends "base.html" %} {% load static %} {% block title %}
<h1>Proyectos en Curso</h1>
<ol class="breadcrumb">
    <li>
        <a href="javascript:void(0)">Dashboard</a>
    </li>
    <li>
        <a href="javascript:void(0)">Proyectos</a>
    </li>
    <li class="active">Proyectos en Curso</li>
</ol>
{% endblock title %} {% block content %}
<div class="row">
    <div class="col-md-12">
        <div class="card" >
            <div class="card-body">
                <div class="row">
                    {% for project in projects %}
                    <div class="col-md-3 col-sm-4 col-xs-12">
                        <div class="card type--profile m-10">
                            <header class="card-heading  card-blue">
                                <img src="{% static 'img/logo_unab.png' %}" alt="" class="img-circle profile-mini">
                            </header>
                            <div class="card-body">
                                <h3 class="name">{{project.name}}</h3>
                                <span class="title">Autor: {{project.author.name}}</span>
                            </div>
                            <div class="card-footer border-top" style="margin-bottom: 10px">
                                <ul class="card-actions left-bottom">
                                    <li>
                                        <button class="btn btn-warning " data-projectpk="{{project.pk}}" data-profename="{{project.author.name}}" data-alumname="{% for alum in project.student_set.all %}{{alum.name}} <br> {% endfor %}"
                                            data-date="{{project.date}}" data-toggle="modal" data-vacant="{{project.vacancy_total}}"
                                            data-target="#tab_modal" data-name="{{project.name}}" data-description="{{project.description}}">
                                            Ver Detalles
                                        </button>
                                    </li>
                                </ul>
                                <ul class="list-group user-group p-l-10 pull-right">
                                    {% for student in project.student_set.all %}
                                    <li class="list-group-item">
                                        <img src="{{student.img.url}}" alt="" class="img-circle max-w-40">
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fullscreen fade" id="tab_modal" tabindex="-1" role="dialog" aria-labelledby="tab_modal">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">

                <h4 class="modal-title" id="myModalLabel-2">Detalles del proyecto</h4>
                <ul class="card-actions icons right-top">

                    <a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
                        <i class="zmdi zmdi-close"></i>
                    </a>
                </ul>
            </div>
            <div class="modal-body p-0">
                <div class="tabpanel">
                    <ul class="nav nav-tabs p-0">
                        <li class="active" role="presentation">
                            <a href="#tab-1" data-toggle="tab" aria-expanded="true">Detalles Proyecto</a>
                        </li>
                        <li role="presentation">
                            <a href="#tab-2" data-toggle="tab" aria-expanded="true">Detalles Extra</a>
                        </li>
                    </ul>
                </div>
                <div class="tab-content  p-20">
                    <div class="tab-pane fadeIn active" id="tab-1">
                        <h4 id="title"></h4>
                        <figure>
                            <img src="{% static 'img/headers/header-sm-01.jpg' %}" alt="" class="img-thumbnail pull-left m-r-10 " />
                        </figure>
                        <p id="description">

                        </p>
                    </div>
                    <div style="height: 215px" class="tab-pane fadeIn" id="tab-2">
                        <div style="   height: 50%;" class=" col-md-6 col-sm-6 col-xs-6">
                            <h4 style="text-align: center; color: #1c84c6">Autor: </h4>
                            <p style="text-align: center;" id="nomprofe"></p>
                        </div>
                        <div style="   height: 50%;" class=" col-md-6 col-sm-6 col-xs-6">
                            <h4 style="text-align: center; color: #ed5565">Alumno(S) en este proyecto:</h4>
                            <p style="text-align: center; " id="nomalum"></p>
                        </div>
                        <div style="   height: 50%;" class="col-md-6 col-sm-6 col-xs-6">
                            <h4 style="text-align: center; color: #f8ac59">Cupos para el proyecto:</h4>
                            <h1 style="text-align: center; " id="vacan"></h1>
                        </div>
                        <div style="   height: 50%;" class="col-md-6 col-sm-6 col-xs-6">
                            <h4 style="text-align: center; color: #23c6c8">Fecha de creación del proyecto:</h4>
                            <p style="text-align: center; " id="fecha"></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="postular" class="modal-footer">
            <button type="button" class="btn btn-primary sweet-warning pull-left">Postular</button>
            <button type="button" class="btn btn-default btn-flat pull-left " data-dismiss="modal">Cancelar</button>
            <a id="facebook" target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=http%3A%2F%2Fwww.icinf.cl%2F&amp;src=sdkpreparse"
                class="btn btn-facebook fb-xfbml-parse-ignore btn-sm">
                <i class="zmdi zmdi-facebook"></i>
            </a>
            <a id="twitter" target="_blank" href="https://www.twitter.com/intent/tweet?url=URL&text=https://www.icinf.cl&via=soy_un_dios"
                class="btn btn-twitter btn-sm">
                <i class="zmdi zmdi-twitter"></i>
            </a>
        </div>
    </div>
    <!-- modal-content -->
</div>
{% endblock content %} {% block javascript %}
<script>
    $('#tab_modal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget);
        var projectpk = button.data('projectpk');
        var nomprofe = button.data("profename");
        var nomalum = button.data("alumname");
        var fecha = button.data("date");
        var description = button.data("description");
        var name = button.data("name");
        var vacan = button.data("vacant");
        $("#postular").data("projectpk", projectpk);
        $("#nomprofe").html(nomprofe);
        $("#nomalum").html(nomalum);
        $("#fecha").html(fecha);
        $("#vacan").html(vacan);
        $("#title").html(name);
        $("#description").html(description);

    });
    $('#postular').on('click.sweet-warning', '.sweet-warning', function (e) {
        e.stopPropagation();
        swal({
            title: "Estas seguro?",
            text: " tu postulacion pasara a validacion ",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "Si, postular!",
        }).then((value) => {
            data = {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                projectpk: $("#postular").data("projectpk"),
            }
            $.ajax({
                type: "post",
                url: "{% url 'create_teacher_postulation' %}",
                data: data,
                success: function (response) {
                    swal({
                        title: "Solicitud Enviada ",
                        text: "Todo bien !",
                        type: "success",
                        confirmButtonText: "Ok!",
                    }).then((value) => {
                        window.location.reload();
                    });

                },
                error: function () {
                    swal({
                        title: "Error al procesar",
                        text: "Tu solicitud no pudo ser llevada a cabo. Intentelo nuevamente.",
                        type: "warning",
                        confirmButtonText: "Comprendido",
                    });
                },
            })

        });
    });
    $(document).ready(function () {
		$(".card").click(function(){
			$("#title").html($(this).data("name"));
			$("#description").html($(this).data("description"));
		});



	});
</script> {% endblock javascript %}